#
# spec file for package python-pendulum
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}

%define modname pendulum
Name:           python-%{modname}
Version:        2.0.5
Release:        lp152.2.1
Summary:        Python datetimes made easy
License:        MIT
Group:          Development/Languages/Python
URL:            https://pendulum.eustace.io
Source:         https://files.pythonhosted.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-python-dateutil >= 2.6
Requires:       python-pytz >= 2018.3
Requires:       python-pytzdata >= 2018.3
Requires:       python-typing
%python_subpackages

%description
Python datetimes made easy

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitearch}/*

%changelog
* Tue Mar  3 2020 Axel Braun <axel.braun@gmx.de>
- added pytzdata as dependency
* Mon Aug 26 2019 Axel Braun <axel.braun@gmx.de>
- version 2.0.5
  clean-up of spec file
  license from PGK-INFO added
* Wed Apr  3 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.0.4
